Subject: RE: bug#3300: 23.0.93; doc string of resize-mini-windows

From: "Drew Adams" <[email-masked]>
Date: Tue, 12 Jul 2011 07:10:42 -0700

> Eli Zaretskii <[email-masked]> writes:
> 
> > I think the behavior is correct, it's the doc string that 
> > needs to be fixed.

Yes.  (Which is why the Subject line says "doc string of...".)

> > What Drew expected happens when the value of the variable is
> > t, not `grow-only'.
> >
> > So I suggest to remove the part about shrinking when it 
> > becomes empty.

Yes, thank you.  That was the point.

> The docstring is already 100% clear IMO, but since the OP is 
> apparently not satisfied, I checked in a change to make it
> 105% clear.

A doc string that says that `grow-only' makes the "windows go back to their
normal size" is 100% wrong.

AFAIK, `grow-only' never returns minibuffer windows to their normal size during
a given invocation (reading of input).

The best that could be said is that "until their display becomes empty" is
unclear, and that something was meant other than the minibuffer being emptied
during its current invocation (input reading).